For the complete documentation index, see llms.txt. This page is also available as Markdown.

Import Certificate

Import a Certificate

post

This can be used to import a new Certificate file.

Body
CertificateFilestring · binaryOptional

Certificate file to be uploaded.

PrivateKeyFilestring · binaryOptional

Privatekey file to be uploaded.

NamestringOptional

The name of the target Certificate

SiteIdinteger · int32Optional

Site ID in which to add the Certificate

DescriptionstringOptional

A user-defined Certificate description

Usagestring[Flag] · enumOptional

Certificate Usage Certificate Usage

Possible values:
EnabledbooleanOptional

Whether to enable or disable the certificate being created

Responses
201

Created

application/json; api-version=1.0

The Certificate

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

statusstring · enumOptional

Certificate Status Certificate Status

Possible values:
publicKeystring · nullableOptional

The public key.

expirationDatestring · date-time · nullableOptional

The expiration date of the certificate.

keySizestring · enumOptional

Certificate Key Size Certificate Key Size

Possible values:
commonNamestring · nullableOptional

The common name of the certificate.

namestring · nullableOptional

Certificate Name.

siteIdinteger · int32Optional

ID of the site.

enabledbooleanOptional

Whether the certificate is enabled or not.

typestring · enumOptional

Certificate Type Certificate Type

Possible values:
usagestring[Flag] · enumOptional

Certificate Usage Certificate Usage

Possible values:
intermediatestring · nullableOptional

The intermediate.

requeststring · nullableOptional

The certificate request.

descriptionstring · nullableOptional

The description of the certificate.

alternateNamesstring · nullableOptional

The alternate names of the certificate.

post/api/Certificates/ImportCertificate
POST /api/Certificates/ImportCertificate HTTP/1.1
Content-Type: multipart/form-data
Accept: */*
Content-Length: 161

{
  "CertificateFile": "binary",
  "PrivateKeyFile": "binary",
  "Name": "text",
  "SiteId": 1,
  "Description": "text",
  "Usage": [
    "0 = None",
    "2 = Gateway",
    "4 = HALB"
  ],
  "Enabled": true
}
{
  "id": 1,
  "adminCreate": "text",
  "adminLastMod": "text",
  "timeCreate": "2026-01-01T00:00:00.000Z",
  "timeLastMod": "2026-01-01T00:00:00.000Z",
  "status": [
    "0 = Valid",
    "1 = Expiring",
    "2 = Expired",
    "3 = InProgress",
    "4 = Revoked",
    "5 = Issuing",
    "6 = IssuingFailed",
    "7 = Renewing",
    "8 = RenewingFailed",
    "9 = Revoking",
    "10 = RevokingFailed"
  ],
  "publicKey": "text",
  "expirationDate": "2026-01-01T00:00:00.000Z",
  "keySize": [
    "0 = KeySize1024",
    "1 = KeySize2048",
    "2 = KeySize4096",
    "3 = KeySize3072",
    "4 = KeySize521",
    "255 = KeySizeUnknown"
  ],
  "commonName": "text",
  "name": "text",
  "siteId": 1,
  "enabled": true,
  "type": [
    "0 = SelfSigned",
    "1 = Request",
    "2 = Imported",
    "3 = LetsEncrypt"
  ],
  "usage": [
    "0 = None",
    "2 = Gateway",
    "4 = HALB"
  ],
  "intermediate": "text",
  "request": "text",
  "description": "text",
  "alternateNames": "text"
}

Last updated